Skip to main content
Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 0.6SynchronousAuth Required

GetFreeIp

GetFreeIp

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • l3NetworkUuidString

    Optional. The L3 network UUID.Note: Make sure that at least one of l3NetworkUuid and ipRangeUuid is not null.

  • ipRangeUuidString

    Optional. The IP range UUID.Note: Make sure that at least one of l3NetworkUuid and ipRangeUuid is not null.

  • startString

    The start value.

  • ipRangeTypeString

    Optional. The IP range type.

  • ipVersionInteger

    Optional. The IP version.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL3NetworkInventoryRequired

    See inventory.

    • ipRangeUuidStringRequired

      The IP range UUID.

    • ipStringRequired

      来源IP地址。

    • netmaskStringRequired

      No description provided.

    • gatewayStringRequired

      No description provided.

Endpoint

GET/zstack/v1/l3-networks/ip/free

/zstack/v1/l3-networks/ip/free

Operation ID

GetFreeIp

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/ip/free?l3NetworkUuid=<l3NetworkUuid>&ipRangeUuid=<ipRangeUuid>&start=<start>&ipRangeType=<ipRangeType>&ipVersion=1&limit=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "ipRangeUuid": "662d600a4b644f98a0c49df2e5430d69", "ip": "10.20.10.5", "netmask": "255.255.255.0", "gateway": "10.20.10.1" }, { "ipRangeUuid": "662d600a4b644f98a0c49df2e5430d69", "ip": "10.20.10.6", "netmask": "255.255.255.0", "gateway": "10.20.10.1" }, { "ipRangeUuid": "662d600a4b644f98a0c49df2e5430d69", "ip": "10.20.10.10", "netmask": "255.255.255.0", "gateway": "10.20.10.1" } ] }

Change History

This API has no change history records yet.

View all change history